Skip to main content
POST
/
knowledge-base
Create Knowledge Base
curl --request POST \
  --url https://services.leadconnectorhq.com/knowledge-base \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "name": "Product Documentation",
  "locationId": "ve9EPM428h8vShlRW1KT"
}
'
{
  "knowledgeBase": {
    "id": "kb_abc123def456",
    "locationId": "ve9EPM428h8vShlRW1KT",
    "name": "Product Documentation",
    "urlCount": 15,
    "faqCount": 42,
    "status": "active",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Body

application/json
name
string
required

Name of the knowledge base

Example:

"Product Documentation"

locationId
string
required

Location ID to associate the knowledge base with

Example:

"ve9EPM428h8vShlRW1KT"

Response

Knowledge base created successfully

knowledgeBase
object
Last modified on March 7, 2026